import { HcApi } from '../../request/index'

export default {
    //获取所有有效项目
    async page(form) {
        return HcApi({
            url: '/api/blade-manager/signPfxFile/singPfxManagementPage',
            method: 'get',
            params: form,
        })
    },
    //获取系统所有角色划分
    async queryAllRoleList(form) {
        return HcApi({
            url: '/api/blade-manager/signPfxFile/queryAllRoleList',
            method: 'get',
            params: form,
        })
    },
    //获取项目列表
    async queryProjectList() {
        return HcApi({
            url: '/api/blade-manager/signPfxFile/queryProjectList',
            method: 'GET',
            params: {},
        })
    },
    //获取当前项目下所有合同段
    async queryContractList(form) {
        return HcApi({
            url: '/api/blade-manager/signPfxFile/queryContractList',
            method: 'get',
            params: form,
        })
    },
    //删除数据
    async del(ids) {
        return HcApi({
            url: '/api/blade-manager/signPfxFile/remove',
            method: 'post',
            params: { ids },
        })
    },
}
